org.apache.fop.render.java2d

## Interface Java2DRendererContextConstants

- All Superinterfaces:
    RendererContextConstants
  All Known Implementing Classes:
    Java2DSVGHandler

      public interface Java2DRendererContextConstants
      extends RendererContextConstants

  Defines a number of standard constants (keys) for use by the RendererContext class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JAVA2D_STATE` The current Java2DGraphicsState.

    - ### Fields inherited from interface org.apache.fop.render.RendererContextConstants

      `FOREIGN_ATTRIBUTES, HANDLER_CONFIGURATION, HEIGHT, OUTPUT_STREAM, PAGE_VIEWPORT, WIDTH, XPOS, YPOS`

- - ### Field Detail

    - #### JAVA2D_STATE

          static final String JAVA2D_STATE

      The current Java2DGraphicsState.
      See Also:
        Constant Field Values

Copyright © 2023 Apache Software Foundation. All rights reserved.